using UnityEngine;

public class PlanetaryBody {

	public GameObject body;
	public float rotationSpeed;
	public float scaleFactor;
	public float xPos;
	public float zPos;
	public bool star;


	public PlanetaryBody(float speed, float scale, float x, float z, bool s) {
		rotationSpeed = speed;
		scaleFactor = scale;
		xPos = x;
		zPos = z;
		star = s;
	}

	public override string ToString() {
		return "Speed = " + rotationSpeed + "\nScale = " + scaleFactor + "\nxPos = " + xPos + "\nzPos = " + zPos + "\nStar = " + star;
	}
}

